Bug 662800 - geolocation plugin is linked against both gtk2 and gtk3
Summary: geolocation plugin is linked against both gtk2 and gtk3
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: claws-mail-plugins (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: Unspecified Unspecified
low
medium
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: RejectedNTH
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-13 22:04 UTC by Bill Nottingham
Modified: 2014-03-17 03:25 UTC (History)
4 users (show)

Fixed In Version: claws-mail-plugins-3.7.10-12.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-26 19:17:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bill Nottingham 2010-12-13 22:04:08 UTC
Description of problem:

Which means it's not going to work reliably. This is due to clutter-gtk being a gtk3 lib now.

Version-Release number of selected component (if applicable):

claws-mail-plugins-geolocation-0:3.7.6-9.fc15.x86_64

How reproducible:

100%

Steps to Reproduce:
1. run ldd on the plugin

Comment 1 Andreas Bierfert 2010-12-14 20:45:51 UTC
Any better with 3.7.8-2?

Comment 2 Bill Nottingham 2010-12-14 20:59:04 UTC
No. I suspect as long as clutter-gtk is linked against gtk3, and libchamplain against gtk2, you'll run into this issue. Might need to disable the plugin in the short term?

Comment 3 Andreas Bierfert 2010-12-14 21:12:36 UTC
That is what I suspected. Will do till this is 'fixed'.

Comment 4 James Laska 2011-04-21 19:58:00 UTC
Discussed at 2011-04-21 blocker review meeting (http://meetbot.fedoraproject.org/fedora-bugzappers/2011-04-21/f15-blocker-review.2011-04-21-17.00.html) ...

AGREED: 662800 - RejectedNTH - Already discussed at previous blocker review

Comment 5 Adam Williamson 2011-05-10 19:01:07 UTC
you also have to drop the blocks: f15-accepted when rejecting.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 6 Fedora Update System 2011-12-12 22:59:05 UTC
claws-mail-3.7.10-7.fc16,claws-mail-plugins-3.7.10-10.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/claws-mail-3.7.10-7.fc16,claws-mail-plugins-3.7.10-10.fc16

Comment 7 Fedora Update System 2011-12-13 21:53:27 UTC
Package claws-mail-3.7.10-7.fc16, claws-mail-plugins-3.7.10-10.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing claws-mail-3.7.10-7.fc16 claws-mail-plugins-3.7.10-10.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-17063/claws-mail-3.7.10-7.fc16,claws-mail-plugins-3.7.10-10.fc16
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2011-12-16 20:02:07 UTC
Package claws-mail-plugins-3.7.10-12.fc16, claws-mail-3.7.10-7.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing claws-mail-plugins-3.7.10-12.fc16 claws-mail-3.7.10-7.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-17063/claws-mail-3.7.10-7.fc16,claws-mail-plugins-3.7.10-12.fc16
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2011-12-26 19:17:09 UTC
claws-mail-plugins-3.7.10-12.fc16, claws-mail-3.7.10-7.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.